searchNodes=[{"doc":"Opens XLSX workbook and reads its worksheets. Example {:ok, package} = XlsxReader.open(&quot;test.xlsx&quot;) XlsxReader.sheet_names(package) # [&quot;Sheet 1&quot;, &quot;Sheet 2&quot;, &quot;Sheet 3&quot;] {:ok, rows} = XlsxReader.sheet(package, &quot;Sheet 1&quot;) # [ # [&quot;Date&quot;, &quot;Temperature&quot;], # [~D[2019-11-01], 8.4], # [~D[2019-11-02], 7.5], # ... # ] Sheet contents Sheets are loaded on-demand by sheet/3 and sheets/2. The sheet contents is returned as a list of lists: [ [&quot;A1&quot;, &quot;B1&quot;, &quot;C1&quot; | _], [&quot;A2&quot;, &quot;B2&quot;, &quot;C2&quot; | _], [&quot;A3&quot;, &quot;B3&quot;, &quot;C3&quot; | _], | _ ] The behavior of the sheet parser can be customized for each individual sheet, see sheet/3.","ref":"XlsxReader.html","title":"XlsxReader","type":"module"},{"doc":"Opens an XLSX file located on the file system (default) or from memory. Examples Opening XLSX file on the file system {:ok, package} = XlsxReader.open(&quot;test.xlsx&quot;) Opening XLSX file from memory blob = File.read!(&quot;test.xlsx&quot;) {:ok, package} = XlsxReader.open(blob, source: :binary) Options source: :path (on the file system, default) or :binary (in memory)","ref":"XlsxReader.html#open/2","title":"XlsxReader.open/2","type":"function"},{"doc":"Loads the sheet with the given name (see sheet_names/1) Options type_conversion - boolean (default: true) blank_value - placeholder value for empty cells (default: &quot;&quot;) empty_rows - include empty rows (default: true) number_type - type used for numeric conversion :Integer, &#39;Decimal&#39; or Float (default: Float) The Decimal type requires the decimal library.","ref":"XlsxReader.html#sheet/3","title":"XlsxReader.sheet/3","type":"function"},{"doc":"Lists the names of the sheets in the package&#39;s workbook","ref":"XlsxReader.html#sheet_names/1","title":"XlsxReader.sheet_names/1","type":"function"},{"doc":"Loads all the sheets in the workbook. On success, returns a list of {sheet_name, rows} pairs. Options See sheet/2.","ref":"XlsxReader.html#sheets/2","title":"XlsxReader.sheets/2","type":"function"},{"doc":"Error tuple with message describing the cause of the error","ref":"XlsxReader.html#t:error/0","title":"XlsxReader.error/0","type":"type"},{"doc":"List of cell values","ref":"XlsxReader.html#t:row/0","title":"XlsxReader.row/0","type":"type"},{"doc":"List of rows","ref":"XlsxReader.html#t:rows/0","title":"XlsxReader.rows/0","type":"type"},{"doc":"Sheet name","ref":"XlsxReader.html#t:sheet_name/0","title":"XlsxReader.sheet_name/0","type":"type"},{"doc":"Source for the XLSX file: file system (:path) or in-memory (:binary)","ref":"XlsxReader.html#t:source/0","title":"XlsxReader.source/0","type":"type"},{"doc":"Option to specify the XLSX file source","ref":"XlsxReader.html#t:source_option/0","title":"XlsxReader.source_option/0","type":"type"},{"doc":"Conversion of cell values to Elixir types.","ref":"XlsxReader.Conversion.html","title":"XlsxReader.Conversion","type":"module"},{"doc":"Returns the base date for the given date system. Examples iex&gt; XlsxReader.Conversion.base_date(1900) ~D[1899-12-30] iex&gt; XlsxReader.Conversion.base_date(1904) ~D[1904-01-01] iex&gt; XlsxReader.Conversion.base_date(2019) :error","ref":"XlsxReader.Conversion.html#base_date/1","title":"XlsxReader.Conversion.base_date/1","type":"function"},{"doc":"Converts the string representation of a truth value into to a boolean. Cells with type attribute &quot;b&quot; store boolean values as a single digit: &quot;1&quot; or &quot;0&quot;. ## Examples iex&gt; XlsxReader.Conversion.to_boolean(&quot;1&quot;) iex&gt; XlsxReader.Conversion.to_boolean(&quot;0&quot;) iex&gt; XlsxReader.Conversion.to_boolean(&quot;true&quot;) :error","ref":"XlsxReader.Conversion.html#to_boolean/1","title":"XlsxReader.Conversion.to_boolean/1","type":"function"},{"doc":"Converts a serial date into a Date. Examples iex&gt; XlsxReader.Conversion.to_date(&quot;40396&quot;) {:ok, ~D[2010-08-06]} iex&gt; XlsxReader.Conversion.to_date(&quot;43783&quot;) {:ok, ~D[2019-11-14]} iex&gt; XlsxReader.Conversion.to_date(&quot;1&quot;, ~D[1999-12-31]) {:ok, ~D[2000-01-01]} iex&gt; XlsxReader.Conversion.to_date(&quot;-1&quot;, ~D[1999-12-31]) :error","ref":"XlsxReader.Conversion.html#to_date/2","title":"XlsxReader.Conversion.to_date/2","type":"function"},{"doc":"Converts a serial date to a NaiveDateTime. Examples iex&gt; XlsxReader.Conversion.to_date_time(&quot;43783.0&quot;) {:ok, ~N[2019-11-14 00:00:00]} iex&gt; XlsxReader.Conversion.to_date_time(&quot;43783.760243055556&quot;) {:ok, ~N[2019-11-14 18:14:45]} iex&gt; XlsxReader.Conversion.to_date_time(&quot;0.4895833333333333&quot;) {:ok, ~N[1899-12-30 11:45:00]} iex&gt; XlsxReader.Conversion.to_date_time(&quot;1.760243055556&quot;, ~D[1999-12-31]) {:ok, ~N[2000-01-01 18:14:45]} iex&gt; XlsxReader.Conversion.to_date_time(&quot;-30.760243055556&quot;, ~D[1999-12-31]) :error","ref":"XlsxReader.Conversion.html#to_date_time/2","title":"XlsxReader.Conversion.to_date_time/2","type":"function"},{"doc":"Converts a string into an arbitrary precision decimal. Examples iex&gt; XlsxReader.Conversion.to_decimal(&quot;123&quot;) {:ok, %Decimal{coef: 123, exp: 0, sign: 1}} iex&gt; XlsxReader.Conversion.to_decimal(&quot;-123.45&quot;) {:ok, %Decimal{coef: 12345, exp: -2, sign: -1}} iex&gt; XlsxReader.Conversion.to_decimal(&quot;0.12345e3&quot;) {:ok, %Decimal{coef: 12345, exp: -2, sign: 1}} iex&gt; XlsxReader.Conversion.to_decimal(&quot;0.12345E3&quot;) {:ok, %Decimal{coef: 12345, exp: -2, sign: 1}} iex&gt; XlsxReader.Conversion.to_decimal(&quot;bogus&quot;) :error","ref":"XlsxReader.Conversion.html#to_decimal/1","title":"XlsxReader.Conversion.to_decimal/1","type":"function"},{"doc":"Converts a string into a float. Examples iex&gt; XlsxReader.Conversion.to_float(&quot;123&quot;) {:ok, 123.0} iex&gt; XlsxReader.Conversion.to_float(&quot;-123.45&quot;) {:ok, -123.45} iex&gt; XlsxReader.Conversion.to_float(&quot;0.12345e3&quot;) {:ok, 123.45} iex&gt; XlsxReader.Conversion.to_float(&quot;0.12345E3&quot;) {:ok, 123.45} iex&gt; XlsxReader.Conversion.to_float(&quot;bogus&quot;) :error","ref":"XlsxReader.Conversion.html#to_float/1","title":"XlsxReader.Conversion.to_float/1","type":"function"},{"doc":"Converts a string into an integer. Examples iex&gt; XlsxReader.Conversion.to_integer(&quot;123&quot;) {:ok, 123} iex&gt; XlsxReader.Conversion.to_integer(&quot;-123&quot;) {:ok, -123} iex&gt; XlsxReader.Conversion.to_integer(&quot;123.45&quot;) :error iex&gt; XlsxReader.Conversion.to_integer(&quot;bogus&quot;) :error","ref":"XlsxReader.Conversion.html#to_integer/1","title":"XlsxReader.Conversion.to_integer/1","type":"function"},{"doc":"Converts a string into the given number type. Supported number types are: Integer, Float, String or Decimal (requires the decimal library) Examples iex&gt; XlsxReader.Conversion.to_number(&quot;123&quot;, Integer) {:ok, 123} iex&gt; XlsxReader.Conversion.to_number(&quot;-123.45&quot;, Float) {:ok, -123.45} iex&gt; XlsxReader.Conversion.to_number(&quot;0.12345e3&quot;, Float) {:ok, 123.45} iex&gt; XlsxReader.Conversion.to_number(&quot;-123.45&quot;, Decimal) {:ok, %Decimal{coef: 12345, exp: -2, sign: -1}} iex&gt; XlsxReader.Conversion.to_number(&quot;0.12345E3&quot;, Decimal) {:ok, %Decimal{coef: 12345, exp: -2, sign: 1}} iex&gt; XlsxReader.Conversion.to_number(&quot;-123.45&quot;, String) {:ok, &quot;-123.45&quot;} iex&gt; XlsxReader.Conversion.to_number(&quot;0.12345e3&quot;, String) {:ok, &quot;0.12345e3&quot;} iex&gt; XlsxReader.Conversion.to_number(&quot;123.0&quot;, Integer) :error","ref":"XlsxReader.Conversion.html#to_number/2","title":"XlsxReader.Conversion.to_number/2","type":"function"},{"doc":"Date system identified by its reference year","ref":"XlsxReader.Conversion.html#t:date_system/0","title":"XlsxReader.Conversion.date_system/0","type":"type"},{"doc":"Supported number types identified by module name","ref":"XlsxReader.Conversion.html#t:number_type/0","title":"XlsxReader.Conversion.number_type/0","type":"type"},{"doc":"Supported number value types","ref":"XlsxReader.Conversion.html#t:number_value/0","title":"XlsxReader.Conversion.number_value/0","type":"type"},{"doc":"XSLX Package structure. This structure is initialized by XlsxReader.open/2 and is used to access the contents of the file It should not be manipulated directly.","ref":"XlsxReader.Package.html","title":"XlsxReader.Package","type":"module"},{"doc":"XLSX package","ref":"XlsxReader.Package.html#t:t/0","title":"XlsxReader.Package.t/0","type":"type"},{"doc":"Worksheet structure. This structure only contains the information useful to identify and retrieve the sheet actual data. name - name of the sheet rid - relationship ID used to retrieve the corresponding sheet in the archive sheet_id - unique identifier of the sheet withing the workbook (unused by XlsxReader) To access the sheet cells, see XlsxReader.sheet/3 and XlsxReader.sheets/2.","ref":"XlsxReader.Sheet.html","title":"XlsxReader.Sheet","type":"module"},{"doc":"XLSX worksheet metadata","ref":"XlsxReader.Sheet.html#t:t/0","title":"XlsxReader.Sheet.t/0","type":"type"},{"doc":"Workbook structure. sheets - list of sheet metadata rels - workbook relationships shared_strings - list of shared strings style_types - List of types indexed by style base_date - base date for all serial dates in the workbook","ref":"XlsxReader.Workbook.html","title":"XlsxReader.Workbook","type":"module"},{"doc":"XLSX workbook","ref":"XlsxReader.Workbook.html#t:t/0","title":"XlsxReader.Workbook.t/0","type":"type"},{"doc":"XlsxReader An XLSX reader in Elixir. Features: Accepts XLSX data located on the file system or in memory Automatic type conversions (numbers, date &amp; times, booleans) Optional support for arbitrary precision decimal numbers Straightforward architecture: no ETS tables, no race-conditions, no manual resource management The docs can be found at https://hexdocs.pm/xlsx_reader.","ref":"readme.html","title":"XlsxReader","type":"extras"},{"doc":"Add xlsx_reader as a dependency in your mix.exs: def deps do [ {:xlsx_reader, &quot;~&gt; 0.1.0&quot;} ] end Run mix deps.get in your shell to fetch and compile XlsxReader.","ref":"readme.html#installation","title":"XlsxReader - Installation","type":"extras"},{"doc":"Loading from the file system {:ok, package} = XlsxReader.open(&quot;test.xlsx&quot;) XlsxReader.sheet_names(package) # [&quot;Sheet 1&quot;, &quot;Sheet 2&quot;, &quot;Sheet 3&quot;] {:ok, rows} = XlsxReader.sheet(package, &quot;Sheet 1&quot;) # [ # [&quot;Date&quot;, &quot;Temperature&quot;], # [~D[2019-11-01], 8.4], # [~D[2019-11-02], 7.5], # ... # ] Loading from memory blob = File.read!(&quot;test.xlsx&quot;) {:ok, package} = XlsxReader.open(blob, source: :binary) Loading all sheets at once {:ok, sheets} = XlsxReader.sheets(package) # [ # {&quot;Sheet 1&quot;, [[&quot;Date&quot;, &quot;Temperature&quot;], ...]}, # {&quot;Sheet 2&quot;, [...]}, # ... # ] Using arbitrary precision numbers {:ok, rows} = XlsxReader.sheet(package, &quot;Sheet 1&quot;, number_type: Decimal) # [ # [&quot;Date&quot;, &quot;Temperature&quot;], # [~D[2019-11-01], %Decimal{coef: 84, exp: -1, sign: 1}], # [~D[2019-11-02], %Decimal{coef: 75, exp: -1, sign: 1}], # ... # ]","ref":"readme.html#examples","title":"XlsxReader - Examples","type":"extras"},{"doc":"Copyright 2019 Xavier Defrang Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#license","title":"XlsxReader - License","type":"extras"}]